### Virtual Method

# Gio File get_parent

#### Declaration [src]

    GFile*
    get_parent (
      GFile* file
    )

#### Description [src]

Gets the parent directory for the `file`. If the `file` represents the root directory of the file system, then `NULL` will be returned.

This call does no blocking I/O.

#### Return value

Type: `GFile`

A `GFile` structure to the parent of the given `GFile` or `NULL` if there is no parent. Free the returned object with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.